<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>sdioemb: /home/bfsw/host/releases/sdioemb/sdioemb-15/builds/sdioemb-15/tests/sdd_test.h Source File</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<!-- Generated by Doxygen 1.3.5 -->
<div class="qindex"><a class="qindex" href="index.html">Main&nbsp;Page</a> | <a class="qindex" href="modules.html">Modules</a> | <a class="qindex" href="annotated.html">Data&nbsp;Structures</a> | <a class="qindex" href="files.html">File&nbsp;List</a> | <a class="qindex" href="functions.html">Data&nbsp;Fields</a> | <a class="qindex" href="pages.html">Related&nbsp;Pages</a></div>
<h1>/home/bfsw/host/releases/sdioemb/sdioemb-15/builds/sdioemb-15/tests/sdd_test.h</h1><div class="fragment"><pre>00001 <span class="preprocessor">#ifndef LIBSDIO_TEST_H</span>
00002 <span class="preprocessor"></span><span class="preprocessor">#define LIBSDIO_TEST_H</span>
00003 <span class="preprocessor"></span>
00004 <span class="preprocessor">#ifdef __cplusplus</span>
00005 <span class="preprocessor"></span><span class="keyword">extern</span> <span class="stringliteral">"C"</span> {
00006 <span class="preprocessor">#endif</span>
00007 <span class="preprocessor"></span>
00008 <span class="preprocessor">#include &lt;stdlib.h&gt;</span>
00009 
00010 <span class="preprocessor">#include &lt;sdioemb/libsdio.h&gt;</span>
00011 <span class="preprocessor">#include &lt;sdioemb/sdio.h&gt;</span>
00012 <span class="preprocessor">#include &lt;sdioemb/sdio_csr.h&gt;</span>
00013 
00014 <span class="keyword">struct </span>sdd_test_card {
00015     uint16_t manf_id;
00016     uint16_t card_id;
00017     <span class="keyword">const</span> <span class="keywordtype">char</span> *name;
00018     <span class="keywordtype">void</span> *card_data;
00019 };
00020 
00021 <span class="keyword">typedef</span> void (*sdd_test_func_t)(<a class="code" href="group__libsdio.html#ga0">sdio_uif_t</a> uif, <span class="keywordtype">void</span> *arg);
00022 
00023 <span class="keywordtype">int</span> sdd_test_run(<span class="keyword">const</span> <span class="keywordtype">char</span> *test, <span class="keywordtype">int</span> argc, <span class="keywordtype">char</span> *argv[],
00024                  sdd_test_func_t test_func, <span class="keywordtype">void</span> *test_arg,
00025                  <a class="code" href="group__libsdio.html#ga1">sdio_int_handler_t</a> int_handler, <span class="keywordtype">void</span> *int_arg);
00026 
00027 <span class="keywordtype">void</span> *sdd_test_check_cards(<span class="keyword">const</span> <span class="keyword">struct</span> sdd_test_card *cards);
00028 
00029 <span class="keywordtype">void</span> sdd_test_pass(<span class="keywordtype">void</span>);
00030 <span class="keywordtype">void</span> sdd_test_fail(<span class="keyword">const</span> <span class="keywordtype">char</span> *fmt, ...);
00031 <span class="keywordtype">void</span> sdd_test_abort(<span class="keyword">const</span> <span class="keywordtype">char</span> *fmt, ...);
00032 
00033 <span class="keywordtype">int</span> sdd_test_max_iters(<span class="keywordtype">void</span>);
00034 
00035 <span class="preprocessor">#ifdef __cplusplus</span>
00036 <span class="preprocessor"></span>} <span class="comment">/* extern "C" */</span>
00037 <span class="preprocessor">#endif</span>
00038 <span class="preprocessor"></span>
00039 <span class="preprocessor">#endif </span><span class="comment">/* #ifndef LIBSDIO_TEST_H */</span>
</pre></div><hr size="1"><address style="align: right;"><small>Generated on Fri Nov 21 14:14:54 2008 for sdioemb by
<a href="http://www.doxygen.org/index.html">
<img src="doxygen.png" alt="doxygen" align="middle" border=0 > 
</a>1.3.5 </small></address>
</body>
</html>
